html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

/* Basic CSS for layout */

#hero {
    text-align: center;
    padding: 50px 0;
    margin: 0vh 10vw;
}

@media (max-width: 500px) {
    #hero {
        margin: 0vh 5vw;
    }
}

#hero h1 {
    font-size: 3em;
}

#featured-auctions {
    text-align: center;
    padding: 40px 0;
}

#search-button {
    background-color: white;
}

.nav-main {
    background-color: #461c7e;
    color: white;
    padding: 10px 0px;
}

.login-header {
    background-color: #461c7e;
    color: white;
}

footer {
    background-color: #461c7e;
    color: white;
    padding: 10px 0px;
}

.nav-main .nav-link {
    color: white;
}

.navbar-brand {
    color: white;
}

    .navbar-brand:hover {
        color: grey;
    }

.navbar-toggler {
    filter: invert(100%);
}

.navbar-secondary > li {
    margin-left: 30px;
    margin-right: 30px;
}

.carousel-item .card {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 10px;
    text-align: left;
}

.carousel-control-next,
.carousel-control-prev {
    filter: invert(100%);
}

.post {
    max-width: 800px;
    padding: 0px 10px;
}

.post-title-link {
    color: black;
    text-decoration: none;
}

.post-meta-categories-link {
    color: maroon;
    text-decoration: none;
}

.post-meta-comments-link {
    color: maroon;
    text-decoration: none;
}

.auction-list {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.auction-item {
    background-color: white;
    border: 1px solid #ddd;
    padding: 20px;
    width: 250px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 10px;
}

    .auction-item img {
        width: 100%;
    }

.featured-title {
    text-align: left;
    padding-left: 4vw;
}

@media (max-width: 500px) {
    .featured-title {
        padding-left: 0;
    }
}
